﻿using Hotline.Caching.Interfaces;
using Hotline.CallCenter.Calls;
using Hotline.CallCenter.Devices;
using Hotline.Share.Dtos.CallCenter;
using Hotline.Share.Enums.CallCenter;
using MapsterMapper;
using Microsoft.AspNetCore.Mvc;
using XF.Domain.Authentications;

namespace Hotline.Api.Controllers
{
    /// <summary>
    /// 话机相关接口
    /// </summary>
    public class TelController : BaseController
    {
        private readonly IUserCacheManager _userCacheManager;
        private readonly ITelCacheManager _telCacheManager;
        private readonly IDeviceManager _deviceManager;
        private readonly IMapper _mapper;
        private readonly ICallRepository _callRepository;
        private readonly ISessionContext _sessionContext;

        /// <summary>
        /// 构造
        /// </summary>
        /// <param name="userCacheManager"></param>
        /// <param name="telCacheManager"></param>
        /// <param name="deviceManager"></param>
        /// <param name="mapper"></param>
        /// <param name="callRepository"></param>
        /// <param name="sessionContext"></param>
        public TelController(
            IUserCacheManager userCacheManager,
            ITelCacheManager telCacheManager,
            IDeviceManager deviceManager,
            IMapper mapper,
            ICallRepository callRepository,
            ISessionContext sessionContext)
        {
            _userCacheManager = userCacheManager;
            _telCacheManager = telCacheManager;
            _deviceManager = deviceManager;
            _mapper = mapper;
            _callRepository = callRepository;
            _sessionContext = sessionContext;
        }


    }
}
