﻿using Hotline.Orders;
using Hotline.Orders.Notifications;
using MediatR;


namespace Hotline.Application.Handlers.Order
{
    public class AddVisitNotifyHandler : INotificationHandler<AddVisitNotify>
    {


        private readonly IOrderVisitRepository _orderVisitRepository;
        private readonly IOrderVisitedDetailRepository _orderVisitedDetailRepository;
        public AddVisitNotifyHandler(IOrderVisitRepository orderVisitRepository,IOrderVisitedDetailRepository orderVisitedDetailRepository)
        {
            _orderVisitRepository = orderVisitRepository;
            _orderVisitedDetailRepository = orderVisitedDetailRepository;
        }


        public async Task Handle(AddVisitNotify notification, CancellationToken cancellationToken)
        {
            await _orderVisitedDetailRepository.AddRangeAsync(notification.OrderVisitedDetails, cancellationToken);
        }
    }
}
