﻿using Hotline.File;
using Hotline.Orders;
using Hotline.Repository.SqlSugar.DataPermissions;
using Hotline.Share.Dtos.File;
using MapsterMapper;
using Microsoft.AspNetCore.Http;
using SqlSugar;
using System.Threading;
using XF.Domain.Authentications;
using XF.Domain.Dependency;
using XF.Domain.Repository;

namespace Hotline.Repository.SqlSugar.File
{
	public class FileRepository : BaseRepository<Hotline.File.File>, IFileRepository, IScopeDependency
	{
		private readonly ISessionContext _sessionContext;
		private readonly IMapper _mapper;
		public FileRepository(ISugarUnitOfWork<HotlineDbContext> uow, IDataPermissionFilterBuilder dataPermissionFilterBuilder) : base(uow, dataPermissionFilterBuilder)
		{
		}

		public async Task AddFileAsync(List<FileDto> files, CancellationToken cancellationToken) 
		{
			foreach (FileDto file in files)
			{
				var model = _mapper.Map<Hotline.File.File>(file);
				model.OrgName = _sessionContext.OrgName;
				model.OrgId = _sessionContext.OrgId;
				model.UserId = _sessionContext.UserId;
				model.UserName = _sessionContext.UserName;
				await AddAsync(model, cancellationToken);
			}
		}
	}
}
