﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Enums.FlowEngine;
using Hotline.Share.Enums.Settings;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.FlowEngine
{
    /// <summary>
    /// 配置好的下一节点
    /// </summary>
    public class DefinedStepDto
    {
        public string Id { get; set; }

        public IReadOnlyList<StepBasicDto> Steps { get; set; }

        public DateTime? ExpiredTime { get; set; }

        public IReadOnlyList<string> Components { get; set; }

        public IEnumerable<KeyValuePair<int, string>> CommunicationModeOptions =>
            EnumExts.GetDescriptions<ERealCommunicationMode>();

        public IEnumerable<KeyValuePair<int, string>> TimeTypeOptions =>
            EnumExts.GetDescriptions<ETimeType>();
    }
}
