﻿using Hotline.Share.Enums.FlowEngine;

namespace Hotline.Share.Dtos.FlowEngine;

/// <summary>
/// 办理参数
/// </summary>
public class NextWorkflowDto : BasicWorkflowDto
{
    public string WorkflowId { get; set; }

    /// <summary>
    /// 下一节点到期时间(节点期满时间)
    /// </summary>
    public DateTime ExpiredTime { get; set; }

    #region 手动填入办理人信息

    /// <summary>
    /// 真实办理人姓名（手动填写）
    /// </summary>
    public string? RealHandlerName { get; set; }

    /// <summary>
    /// 真实办理人电话（手动填写）
    /// </summary>
    public string? RealHandlerPhone { get; set; }

    /// <summary>
    /// 沟通方式（手动填写）
    /// </summary>
    public ERealCommunicationMode? RealCommunicationMode { get; set; }

    /// <summary>
    /// 沟通时间（手动填写）
    /// </summary>
    public DateTime? RealCommunicationTime { get; set; }

    /// <summary>
    /// 沟通地点（手动填写）
    /// </summary>
    public string? RealCommunicationAddress { get; set; }

    #endregion
}