﻿using Hotline.Share.Enums.KnowledgeBase;
using XF.Utility.EnumExtensions;

namespace Hotline.Share.Dtos.Knowledge
{
    public record KnowledgeApplyHandlePageDto
    {
        /// <summary>
        /// ID
        /// </summary>
        public string Id { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 申请类型
        /// </summary>
        public EApplyType KnowledgeApplyType { get; set; }

        /// <summary>
        /// 申请类型名称
        /// </summary>
        public string KnowledgeApplyTypeName => KnowledgeApplyType.GetDescription();

        /// <summary>
        /// 申请状态
        /// </summary>
        public EKnowledgeApplyStatus Status { get; set; }

        /// <summary>
        /// 申请状态名称
        /// </summary>
        public string StatusName => Status.GetDescription();

        /// <summary>
        /// 申请人
        /// </summary>
        public string CreationName { get; set; }

        /// <summary>
        /// 申请部门名称
        /// </summary>
        public string CreationOrgName { get; set; }

        /// <summary>
        /// 处理人
        /// </summary>
        public string Processor { get; set; }

        /// <summary>
        /// 截止时间
        /// </summary>
        public DateTime? ExpiredTime { get; set; }

        /// <summary>
        /// 是否已经超期
        /// </summary>
        public bool IsOvertime { get; set; }

        /// <summary>
        /// 创建
        /// </summary>
        public DateTime? CreationTime { get; set; }

        /// <summary>
        /// 处理完成时间
        /// </summary>
        public DateTime? HandleTime { get; set; }

        /// <summary>
        /// 退回时间
        /// </summary>
        public DateTime? ReturnTime { get; set; }

        /// <summary>
        /// 撤销时间
        /// </summary>
        public DateTime? RevokeTime { get; set; }
    }

  
}
