﻿using Hotline.Share.Enums.KnowledgeBase;
using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.Knowledge
{
    /// <summary>
    /// 草稿箱
    /// </summary>
    public record MyDraftsListPagedDto(string? KnowledgeTypeId, DateTime? StartTime, DateTime? EndTime) : PagedKeywordRequest;

    /// <summary>
    /// 审核管理
    /// </summary>
    /// <param name="EKnowledgeApplyType">申请类型</param>
    /// <param name="EKnowledgeWorkFlowStatus">审核状态</param>
    public record KnowledgeApprovalPagedListDto(EKnowledgeApplyType? EKnowledgeApplyType, EKnowledgeWorkFlowStatus? EKnowledgeWorkFlowStatus) : PagedKeywordRequest;

    /// <summary>
    /// 知识检索
    /// </summary>
    /// <param name="RetrievalType">检索类型</param>
    public record KnowledgeRetrievalPagedListDto(EKnowledgeRetrievalType? RetrievalType) : PagedKeywordRequest;

    /// <summary>
    /// 来电弹屏知识库查询
    /// </summary>
    /// <param name="HotspotId">热点ID</param>
    public record KnowledgePopScreenPagedListDto(string? HotspotId) : PagedKeywordRequest;

    /// <summary>
    /// 我的知识删除
    /// </summary>
    /// <param name="EKnowledgeWorkFlowStatus"></param>
    /// <param name="StartApplyTime"></param>
    /// <param name="EndApplyTime"></param>
    public record KnowledgeDeletelPagedListDto(EKnowledgeWorkFlowStatus? EKnowledgeWorkFlowStatus,DateTime? StartApplyTime, DateTime? EndApplyTime) : PagedKeywordRequest;

    /// <summary>
    /// 
    /// </summary>
    /// <param name="CreateOrgId">部门</param>
    /// <param name="HotspotId">热点</param>
    /// <param name="KnowledgeTypeId">分类</param>
    /// <param name="Status">状态</param>
    /// <param name="CreationStartTime">创建开始</param>
    /// <param name="CreationEndTime">创建结束</param>
    /// <param name="StartOnShelfTime">上架时间-开始</param>
    /// <param name="EndOnShelfTime">上架时间-结束</param>
    /// <param name="StartOffShelfTime">下架时间-开始</param>
    /// <param name="EndOffShelfTime">下架时间-结束</param>
    public record KnowPagedListDto(string? CreateOrgId, string? HotspotId, string? KnowledgeTypeId, EKnowledgeStatus? Status, DateTime? CreationStartTime, DateTime? CreationEndTime,
      DateTime? StartOnShelfTime, DateTime? EndOnShelfTime, DateTime? StartOffShelfTime, DateTime? EndOffShelfTime) : PagedKeywordRequest;
}
