﻿namespace Hotline.Share.Dtos.Push.FWMessage
{
    /// <summary>
    /// 丰窝短信接收值
    /// </summary>
    public class ReceiveMessageDto
    {
        /// <summary>
        /// 短信回传账号
        /// </summary>
        public string account { get; set; }

        /// <summary>
        /// 短信回传密码
        /// </summary>
        public string pswd { get; set; }

        /// <summary>
        /// 短信中心短信待发送ID，同短信发送接口返回值ID
        /// </summary>
        public string msgid { get; set; }

        /// <summary>
        /// 短信发送时间
        /// </summary>
        public string sendtime { get; set; }

        /// <summary>
        /// 发送短信使用的数量
        /// </summary>
        public int msgcount { get; set; }

        /// <summary>
        /// 发送状态：0:未发送  1:发送中  2:发送失败  3:发送成功
        /// </summary>
        public int state { get; set; }

        /// <summary>
        /// 错误消息
        /// </summary>
        public string errormsg { get; set; }

        /// <summary>
        /// 短信中心短信已发送ID
        /// </summary>
        public int sfid { get; set; }

        /// <summary>
        /// 手机号码
        /// </summary>
        public string telnumall { get; set; }

        /// <summary>
        /// 短信签名
        /// </summary>
        public string sign { get; set; }

        /// <summary>
        /// 回复短信内容
        /// </summary>
        public string msg { get; set; }

        /// <summary>
        /// 回复手机号码
        /// </summary>
        public string mobile { get; set; }

        /// <summary>
        /// 短信接收平台号码
        /// </summary>
        public string destcode { get; set; }

        /// <summary>
        /// 回复时间
        /// </summary>
        public string motime { get; set; }

        /// <summary>
        /// 短信平台回复短信ID
        /// </summary>
        public string fsfid { get; set; }
    }
}
