﻿using Hotline.Share.Dtos.CallCenter;

namespace Hotline.CallCenter.BlackLists
{
    public interface IBlacklistDomainService
    {
        /// <summary>
        /// 将电话加入黑名单
        /// </summary>
        Task AddAsync(AddBlacklistDto dto, CancellationToken cancellationToken = default);

        /// <summary>
        /// 删除黑名单信息
        /// </summary>
        /// <param name="phoneNo"></param>
        Task RemoveAsync(string phoneNo, CancellationToken cancellationToken = default);

        /// <summary>
        /// 是否在黑名单中
        /// </summary>
        /// <param name="phoneNo"></param>
        /// <returns></returns>
        bool IsInBlacklist(string phoneNo);
    }
}
