﻿using XF.Domain.Repository;

namespace Hotline.CallCenter.Tels
{
    public interface ITelRepository : IRepository<Tel>
    {
        /// <summary>
        /// 分机是否正在休息
        /// </summary>
        /// <param name="telNo"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<bool> IsRestingAsync(string telNo, CancellationToken cancellationToken);


        /// <summary>
        /// 分机休息是否在审核阶段
        /// </summary>
        /// <param name="telNo"></param>
        /// <param name="cancellationToken"></param>
        /// <returns></returns>
        Task<bool> IsApplyingAsync(string telNo, CancellationToken cancellationToken);
    }
}
