﻿namespace Hotline.FlowEngine.Workflows;

/// <summary>
/// 节点会签状态
/// </summary>
public enum EStepCountersignStatus
{
    /// <summary>
    /// 无会签（未处于会签流程中，外层也无会签嵌套）
    /// </summary>
    None = 0,

    /// <summary>
    /// 会签中（上级节点直接开启会签）
    /// </summary>
    InCountersign = 1,

    /// <summary>
    /// 本身不直接处于会签流程中，但外层有会签流程嵌套（非上级节点开启会签，当前节点会签并未结束）
    /// </summary>
    OuterCountersign = 2,
}