﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.FlowEngine;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Enums.Order;
using XF.Domain.Entities;

namespace Hotline.Orders
{
    public interface IOrderDomainService
    {
        #region OrderHandle

        Task<Order> GetOrderAsync(string? orderId, CancellationToken cancellationToken);

        Task<string> AddAsync(Order order, CancellationToken cancellationToken);

        /// <summary>
        /// 归档
        /// </summary>
        Task FileAsync(string? orderId, CancellationToken cancellationToken);

        /// <summary>
        /// 撤回或跳转前处理数据及校验
        /// <remarks>
        ///工单撤回时需校验工单当前是否存在待发布记录、待回访记录，若存在需删除对应记录（跳转同理）
        ///工单撤回时需校验工单是否存在甄别中记录，若存在不允许撤回当前工单（跳转同理）
        /// </remarks>
        /// </summary>
        Task ReadyToRecallAsync(string orderId, CancellationToken cancellationToken);

        #endregion

        #region OrderRedo

        Task<string> AddOrderRedoAsync(OrderRedo orderRedo, CancellationToken cancellationToken);

        Task RemoveOrderRedoAsync(string id, CancellationToken cancellationToken);

        Task UpdateOrderRedoAsync(OrderRedo orderRedo, CancellationToken cancellationToken);

        #endregion
    }
}
