﻿using Hotline.Share.Dtos.Push;
using Hotline.Share.Dtos.Push.FWMessage;

namespace Hotline.Push.FWMessage
{
    public interface IPushDomainService
    {
        /// <summary>
        /// 短信发送
        /// </summary>
        /// <param name="messageDto"></param>
        /// <param name="cancellation"></param>
        /// <returns></returns>
        Task PushAsync(MessageDto messageDto, CancellationToken cancellation);

        /// <summary>
        /// 查询短信剩余数量
        /// </summary>
        /// <returns></returns>
        Task<string> GetAccountNum();

        /// <summary>
        /// 短信发送状态回调接口
        /// </summary>
        /// <param name="receiveMessageDto"></param>
        /// <returns></returns>
        Task<string> ReceiveObtain(ReceiveMessageDto receiveMessageDto);

        /// <summary>
        /// 短信接收
        /// </summary>
        /// <param name="receiveMessageDto"></param>
        /// <returns></returns>
        Task<string> ReceiveSms(ReceiveMessageDto receiveMessageDto);
    }
}
