﻿using XF.Domain.Repository;

namespace Hotline.Settings
{
    public interface ISystemAuthorityRepository:IRepository<SystemAuthority>
    {
        /// <summary>
        /// 获取当前用户所有菜单
        /// </summary>
        /// <param name="roles"></param>
        /// <returns></returns>
        Task<List<SystemMenu>> GetMyMenu(string[] roles);

        /// <summary>
        /// 获取所有功能点
        /// </summary>
        /// <param name="roles"></param>
        /// <returns></returns>
        Task<List<string>> GetMyButton(string[] roles);

        /// <summary>
        /// 获取当前用户所有功能点（包含菜单和按钮）
        /// </summary>
        /// <param name="roles"></param>
        /// <returns></returns>
        IReadOnlyList<string> GetPermission(List<string> roles);

        
    }
}
