﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Wex.Sdk.Tel
{
    public class QueryTelPageRequest : IWexRequest
    {
        public QueryTelPageRequest()
        {
            Url = "api/reg/device_page";
        }

        [JsonIgnore]
        public string Url { get; }

        /// <summary>
        /// 当前页码
        /// </summary>
        public int PageIndex { get; set; }

        /// <summary>
        /// 分页大小
        /// </summary>
        public int PageSize { get; set; }

        /// <summary>
        /// 排序字段
        /// </summary>
        public string SortFiled { get; set; }

        /// <summary>
        /// 是否升序
        /// </summary>
        public bool AsAsc { get; set; }

        /// <summary>
        /// 条件
        /// </summary>
        public Input input { get; set; }
    }


    public class Input
    {
        /// <summary>
        /// 设备号
        /// </summary>
        [JsonPropertyName("device")]
        public string TelNo { get; set; }

        /// <summary>
        /// 会议ID
        /// </summary>
        public string MeetId { get; set; }

        /// <summary>
        /// 分机状态
        /// </summary>
        public int? Status { get; set; }

        /// <summary>
        /// 工号
        /// </summary>
        [JsonPropertyName("zLoginNumber")]
        public string StaffNo { get; set; }

        /// <summary>
        /// 角色组别
        /// </summary>
        [JsonPropertyName("zRole")]
        public string Roles { get; set; }

        /// <summary>
        /// 是否签入
        /// </summary>
        public int? Sigin { get; set; }

        /// <summary>
        /// 坐席状态
        /// </summary>
        public int? AgentStatus { get; set; }
    }


}
