﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace Wex.Sdk.Tel
{
    public class QueryTelRequest : IWexRequest
    {
        public QueryTelRequest()
        {
            Url = "api/reg/device";
        }

        [JsonIgnore]
        public string Url { get; }

        /// <summary>
        /// 工号
        /// </summary>
        [JsonPropertyName("zLoginNumber")]
        public string StaffNo { get; set; }

        /// <summary>
        /// 分机号
        /// </summary>
        [JsonPropertyName("device")]
        public string TelNo { get; set; }

        /// <summary>
        /// 会议ID
        /// </summary>
        public string MeetId { get; set; }

        /// <summary>
        /// 分机状态
        /// </summary>
        public int? Status { get; set; }

        /// <summary>
        /// 角色组别
        /// </summary>
        [JsonPropertyName("zRole")]
        public string Roles { get; set; }

        /// <summary>
        /// 是否签入
        /// </summary>
        public int? Sigin { get; set; }

        /// <summary>
        /// 坐席状态
        /// </summary>
        public int? AgentStatus { get; set; }
    }
}
